import request from '@/utils/request'

// 获取首页数据
// export const getHomeData = (params) => {
//   return request({
//     url: '/website/companyInfo',
//     method: 'get',
//     params
//   })
// }

// 产品/案例信息
// 分类列表
// 请求Query参数
// classifyType类型：1：产品中心 2：行业案例
export const getProjectClassifyList = (params) => {
  return request({
    url: '/website/dzProjectClassify/list',
    method: 'get',
    params
  })
}

// 产品/案例信息
// 请求Query参数
// classifyId分类ID
// projectType类型：1：产品中心 2：行业案例
export const getProjectList= (params) => {
  return request({
    url: '/website/dzProject/list',
    method: 'get',
    params
  })
}
// 联系我们
// 提交留言
export const addDzNotes = (data) => {
  return request({
    url: '/website/dzNotes/addDzNotes',
    method: 'post',
    data
  })
}

// 联系我们
export const getContacts= (params) => {
  return request({
    url: '/website/companyInfo/getContacts',
    method: 'get',
    params
  })
}

// 企业介绍
export const getCompanyInfo= () => {
  return request({
    url: '/website/companyInfo',
    method: 'get'
  })
}

// 企业资质
export const getCompanyCertList= () => {
  return request({
    url: '/website/dzCompanyCert/list',
    method: 'get'
  })
}

// 分类下产品集
export const getProjectClassifyTree= (params) => {
  return request({
    url: '/website/dzProjectClassifyTree/list',
    method: 'get',
    params
  })
}

// 合作伙伴
export const getPartners= (params) => {
  return request({
    url: '/website/dzCompanyPartners/list',
    method: 'get',
    params
  })
}
